Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 572454 - <app-emulation/qemu-2.5.0-r2: usb ehci out-of-bounds read in ehci_process_itd
Summary: <app-emulation/qemu-2.5.0-r2: usb ehci out-of-bounds read in ehci_process_itd
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B3 [glsa]
Keywords:
Depends on: 578044
Blocks:
  Show dependency tree
 
Reported: 2016-01-20 15:42 UTC by Agostino Sarubbo
Modified: 2016-04-02 18:27 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2016-01-20 15:42:23 UTC
From ${URL} :

Qemu emulator built with the USB EHCI emulation support is vulnerable to an information leakage 
flaw. It could occur while processing isochronous transfer descriptors(iTD), with buffer page 
select(PG) index that falls beyond buffer page array area.

A privileged user inside guest could use this flaw to leak qemu memory bytes.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-01/msg03604.html


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 2 SpanKY gentoo-dev 2016-03-23 05:26:03 UTC
this is in qemu-2.5.0-r2 and is fine for stable
Comment 3 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-03-23 06:13:57 UTC
Added to existing GLSA.
Comment 4 Yury German Gentoo Infrastructure gentoo-dev Security 2016-04-02 17:21:29 UTC
Clean as part of bug #567420
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2016-04-02 18:27:53 UTC
This issue was resolved and addressed in
 GLSA 201604-01 at https://security.gentoo.org/glsa/201604-01
by GLSA coordinator Yury German (BlueKnight).